## org.apache.batik.svggen.font.table
Class CoverageFormat2

    java.lang.Object
      org.apache.batik.svggen.font.table.Coverage
          org.apache.batik.svggen.font.table.CoverageFormat2

public class CoverageFormat2
extends Coverage

Constructor Summary
`protected` `CoverageFormat2(java.io.RandomAccessFile raf)` Creates new CoverageFormat2

Method Summary
`int` `findGlyph(int glyphId)`
`int` `getFormat()`

Methods inherited from class org.apache.batik.svggen.font.table.Coverage
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoverageFormat2

    protected CoverageFormat2(java.io.RandomAccessFile raf)
                       throws java.io.IOException

  Creates new CoverageFormat2

Method Detail

### getFormat

    public int getFormat()

  Specified by:
    `getFormat` in class `Coverage`

### findGlyph

    public int findGlyph(int glyphId)

  Specified by:
    `findGlyph` in class `Coverage`
  Parameters:
    `glyphId` - The ID of the glyph to find.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.